package door

import (
	"testing"
	"time"
)

func BenchmarkWOPR(b *testing.B) {
	Unicode = false

	var wopr WOPR
	wopr.Init(time.Now(), time.Now().Add(time.Hour), []byte{})
	wopr.ElapsedPanel.X = 1
	wopr.ElapsedPanel.Y = 2
	wopr.RemainingPanel.X = 1
	wopr.RemainingPanel.Y = 10

	for i := 0; i < b.N; i++ {
		wopr.Inc()
		wopr.Output()
	}
}
